Skip to content

Musement API (3.5.0)

For merchant or affiliate partners wishing to use the Musement API.

Authentication

See the Authentication section for details on how to authenticate with the API.

Release notes

2024-06-18

Endpoints

  • GET /activities/{activityUuid}/dates/{date}
    • Changed default min_buy value from -1 to 1

2024-02-21

Endpoints

  • Added GET /orders/{orderUuid}/refunds
    • Returns an array of paid refunds for an order

2024-02-20

Endpoints

  • GET /activities/{activityUuid}/dates/{date}
    • Added availability, max_buy and min_buy properties to timeslots. For more info, check out our guide
Download OpenAPI description
Overview
Languages
Servers
Mock server
https://partner-api.musement.com/_mock/reference/openapi
Sandbox server
https://sandbox.musement.com/api/v3
Production server
https://api.musement.com/api/v3

Searching activities

A collection of endpoints which can be used to search the catalog for relevant activities.

Operations

Activity info

A collection of endpoints which can be used to provide information to customers about a specific activity.

Operations

Pickups

Some activities require selecting a pickup location as part of the booking flow.

Operations

Dates

A collection of endpoints for selecting available dates and products.

Operations

Carts

A collection of endpoints for managing a customer's cart during the booking flow.

Operations

Customer info

When making a reservation, different steps must be taken to provide information about the customers. This collection includes endpoints for submitting info about the lead booker, extra customer data and participant info.

Operations

Orders

A collection of endpoints for managing orders as part of the booking flow.

Operations

Payments

A collection of endpoints regarding payment during the booking flow. Partners have multiple payment options at their disposal, depending on agreements with the Strategic partnerships team.

Operations

Cancellations

It is possible to cancel reservations, provided that the activity in question is refundable.

Operations

Cancel reservation for order item

Request

Cancelling reservations requires extra permissions which are not enabled by default.

Cancellations are possible for activities with one or more refund policies, provided the cancellation takes place before the refund cutoff date.

Security
Partner
Path
orderUuidstring(uuid)required

The order UUID.

orderItemUuidstringrequired

Order item identifier

Headers
X-Musement-Applicationstring(Application value)

A partner's application value, used for analyzing API usage and to identify areas of improvement.

X-Musement-Versionstring^[0-9]+?.[0-9]+?.[0-9]+?$

The API version to use for the request.

When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0.

Example: 3.4.0
Bodyapplication/json

Details about the cancellation

cancellation_additional_infostring<= 255 characters

Additional information about the cancellation which partners wish to communicate to Musement Customer Care.

Example: "Customer rejected suggested change to reservation date."
cancellation_integration_dataobject

Additional information about the cancellation which partners would like to save for their integration.

cancellation_reasonstringrequired

The reason for the cancellation, from the following options:

  • API-ISSUE: Technical issue with API.
  • CANCELLED-BY-CUSTOMER: Cancellation requested by customer.
  • GRACE-PERIOD: An agreed upon time between paying for an order and cancelling without repercussions.
  • MISSING-MEETING-POINT-DETAILS: Activity meeting point was incorrect or changed without contact from activity provider or Musement Customer Care.
  • MISSING-PASSENGER-INFO: Provider cannot accept the reservation due to missing information such as date of birth or pickup location.
  • REJECTED-ORDER: Provider cannot accept the reservation due to overbooking or because the requested date/time is no longer available.
  • REJECTED-SCHEDULE-CHANGE: Cancellation because proposed change to reservation date/time was rejected by the customer.
  • TECHNICAL-ISSUE: Technical issue not covered by any of the other reasons.
  • VENUE-CLOSED: Reservation was not honored due to weather, maintenance, strikes, closed venue or other reason.
Enum"API-ISSUE""CANCELLED-BY-CUSTOMER""GRACE-PERIOD""MISSING-MEETING-POINT-DETAILS""MISSING-PASSENGER-INFO""REJECTED-ORDER""REJECTED-SCHEDULE-CHANGE""TECHNICAL-ISSUE""VENUE-CLOSED"
Example: "REJECTED-SCHEDULE-CHANGE"
curl -i -X DELETE \
  'https://partner-api.musement.com/_mock/reference/openapi/orders/{orderUuid}/items/{orderItemUuid}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-Musement-Application: string' \
  -H 'X-Musement-Version: 3.4.0' \
  -d '{
    "cancellation_additional_info": "Customer rejected suggested change to reservation date.",
    "cancellation_reason": "REJECTED-SCHEDULE-CHANGE"
  }'

Responses

Order item successfully cancelled

Response
No content

Activities

Activities can be any tour, attraction or experience that customers can reserve via the Musement API.

Operations

Categories

Categories group activities based on similar characteristics.

Operations

Cities

Cities are different types of destinations: islands, natural landmarks, beaches, actual cities and more.

Operations

Countries

A collection of endpoints related to countries in the Musement catalog.

Operations

Lists

Lists are collections of Musement activities and third-party destinations grouped together based on editorial themes.

Operations

Venues

Venues are popular attractions or landmarks.

Operations

Additional searches

A collection of additional endpoints which can be used to search parts of the catalog.

Operations

Carts

A collection of cart endpoints which are not strictly necessary for the booking flow.

Operations

Metadata

Metadata is used for configuring several activity properties.

Operations

Reviews

Customers may leave reviews about their experience with an activity. Reviews consist of a numeric rating and optional written comment.

Operations

Vouchers

A collection of endpoints to use at the end of the booking flow to retrieve reserved tickets and vouchers.

Operations

Webhooks

A collection of webhook requests that Musement's API can make to a partner's service.

Webhooks

Activities

A collection of deprecated endpoints for activities.

Operations

Carts

A collection of deprecated endpoints for carts.

Operations

Cities

A collection of deprecated endpoints for cities.

Operations

Verticals

Verticals are a type of macro category which group various parts of the catalog together based on similar characteristics.

They are considered deprecated.

Operations

Cities

A collection of endpoints for cities that were removed from the API.

Operations

Countries

A collection of endpoints for countries that were removed from the API.

Operations

Events

A collection of endpoints for events, an older term for activities, that were removed from the API.

Operations

Misc

A collection of various endpoints that were removed from the API.

Operations

Venues

A collection of endpoints for venues that were removed from the API.

Operations